Bug 89662 - context.c:943: undefined reference to `_glapi_new_nop_table'
Summary: context.c:943: undefined reference to `_glapi_new_nop_table'
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Mesa core (show other bugs)
Version: git
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: mesa-dev
QA Contact: mesa-dev
URL:
Whiteboard:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2015-03-18 17:03 UTC by Vinson Lee
Modified: 2015-03-19 13:09 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
similar error in line 525 (48.86 KB, text/plain)
2015-03-18 20:50 UTC, Christoph Haag
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vinson Lee 2015-03-18 17:03:21 UTC
mesa: 9263986401c90a309d167121bc98c47b24c39d3d (master 10.6.0-devel)

$ make check
[...]
make[6]: Entering directory 'src/mesa/drivers/dri/i965'
  CXX      test_fs_cmod_propagation.o
  CXXLD    test_fs_cmod_propagation
../../../.libs/libmesa.a(context.o): In function `alloc_dispatch_table':
src/mesa/main/context.c:943: undefined reference to `_glapi_new_nop_table'
src/mesa/main/context.c:967: undefined reference to `_glapi_set_nop_handler'
Comment 1 Brian Paul 2015-03-18 17:04:20 UTC
What is your ./configure command line?
Comment 2 Vinson Lee 2015-03-18 17:10:43 UTC
$ ./autogen.sh --with-dri-drivers=i965 --with-gallium-drivers=
$ make
$ make check
Comment 3 Brian Paul 2015-03-18 18:30:57 UTC
Vinson, can you test the patch I just posted to mesa-dev: "dri: add _glapi_set_nop_handler(), _glapi_new_nop_table() to dri_test.c"
Comment 4 Brian Paul 2015-03-18 18:47:12 UTC
Should be fixed with 627991dbf74ce5aee9ce75155fc27a429bdd0548
Comment 5 Christoph Haag 2015-03-18 20:50:26 UTC
Created attachment 114451 [details]
similar error in line 525

I seem to get the same error in make install, with 627991dbf74ce5aee9ce75155fc27a429bdd0548 included.


../../../../src/mesa/.libs/libmesagallium.a(context.o): In function `alloc_dispatch_table':
context.c:(.text+0x1a): undefined reference to `_glapi_new_nop_table'
context.c:(.text+0x29): undefined reference to `_glapi_set_nop_handler'


My configuration:

./autogen.sh --prefix=/usr \
   --with-dri-driverdir=/usr/lib/xorg/modules/dri \
   --with-dri-drivers=i965 \
   --with-egl-platforms=x11,drm,wayland \
   --with-gallium-drivers=radeonsi,r600,swrast,ilo \
   --enable-glx-tls \
   --enable-egl \
   --enable-gallium-llvm \
   --enable-gles1 \
   --enable-gles2 \
   --enable-texture-float \
   --enable-vdpau \
   --enable-va \
   --enable-gbm \
   --enable-shared-glapi \
   --enable-gallium-osmesa \
   --enable-dri3 \
   --enable-nine \
   --enable-omx \
   --enable-opencl \
   --enable-opencl-icd
Comment 6 Brian Paul 2015-03-18 23:41:25 UTC
I can't reproduce this.  Did you try a make clean first?
Comment 7 Christoph Haag 2015-03-19 13:09:51 UTC
Hm... I was very sure I had removed my complete build directory, but now I tried it again and the error is gone. Interesting. So it's probably a problem on my end somewhere.

Sorry for the noise.


bug/show.html.tmpl processed on Mar 25, 2017 at 09:33:52.
(provided by the Example extension).